gmp_mod
gmp_neg
GMP Functions
PHP Manual

# gmp_mul

Multiply numbers

### Description

resource gmp_mul ( resource `$a` , resource `$b` )

Multiplies `a` by `b` and returns the result.

### Parameters

`a`

  A number that will be multiplied by `b`.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`b`

  A number that will be multiplied by `a`.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource.

### Examples

Example #1 gmp_mul example

`<?php
$mul = gmp_mul("12345678", "2000");
echo gmp_strval($mul) . "\n";
?>`

The above example will output:

    24691356000